Bug 64406 - disabled service mistakenly starts on preferred node
disabled service mistakenly starts on preferred node
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Depends On:
  Show dependency treegraph
Reported: 2002-05-03 15:20 EDT by Jason Baron
Modified: 2013-03-06 00:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-06 09:36:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Baron 2002-05-03 15:20:49 EDT
Description of Problem:

disabled service mistakenly starts on its preferred node

Version-Release number of selected component (if applicable):

How Reproducible:

create a service preferred to node A. disable it. Restart node B,
then restart node A.

Steps to Reproduce:
1. create a service preferred to node A. Disable it.
2. node B> serivce cluster stop;  node B> service cluster start
3. node A> service cluster stop;  node A> service cluster start

Actual Results:

service is running on node A

Expected Results:

service remains disabled

Additional Information:  Thanks to Michael Waite for finding this
Comment 1 Jason Baron 2002-05-23 14:47:36 EDT
Fixed by causing the relocation of a failed service error out in the service 

Note You need to log in before you can comment on or make changes to this bug.